/* PDFView */

#import <Cocoa/Cocoa.h>
#import "DataPoint.h"
#import "Controller.h"
#import "MyDocument.h"
#import <math.h>

@class Controller, DataPoint, MyDocument;

@interface PDFView : NSView
{
    IBOutlet MyDocument *documentController; // the document controller
    IBOutlet NSTableView *dataTable; //
    NSPDFImageRep *chosenImage;
    NSMutableArray *legendSubviewArray;
    BOOL drawGrid;
    BOOL drawLegend;
    NSColor *gridColor;
    BOOL isDragging;
    BOOL shiftDown;
    BOOL altDown;
    NSPoint draggingOrigin;
    NSPoint draggingDestination;
    NSRect dragRect;
}
- (void) changePDFImage:(NSString *) PDFString; // changes the background image
- (void) setPDFRepImage:(NSPDFImageRep *) theImage;
- (NSPDFImageRep *) PDFRepImage;
- (void) toggleDrawGrid:(id) sender; // determines wether the grid draws
- (void) toggleDrawLegend:(id) sender; // determines wether the legend is drawned
- (void) setGridColor:(id) sender; // sets the color of the grid
- (void) deselectAll; // sent by a point to deselect the others
- (NSRect) dragRect; // returns the rect selected by the user
- (void)print:(id)sender;
- (IBAction) copy:(id)sender;
- (IBAction) selectAllPoints:(id)sender;
- (BOOL) checkSelected; //check wether at least a point is selected or not

@end
